commit:     763ecefc58dcdec5ca76e4b76e6909506bfec507
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 17 18:06:17 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Dec 18 07:27:25 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=763ecefc

dev-python/clang-python: Add 16.0.0_pre20221217 snapshot

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/clang-python/Manifest                   |  1 +
 .../clang-python-16.0.0_pre20221217.ebuild         | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index 224e57c3667f..5eebc5461895 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -7,4 +7,5 @@ DIST llvm-project-15.0.6.src.tar.xz.sig 438 BLAKE2B 
3c97dbd55667f52dad964ef71257
 DIST llvm-project-959c9cc7acf4d0aa433f2436e2a45b782e18022a.tar.gz 171575300 
BLAKE2B 
090d41a8913f8e061d297e66ca653d95e18b8da744464d7085d7a199c0a444753a82b6ff6503e142aec81be01b419323cdbe3709497738df74afa886d69fd63d
 SHA512 
fc3b26e148ead7a07b4d1509909a42712a43b179da435b052c26a237b0d2ae88c3c8d76eaa93c415be1ed0f0b5fb55e0ad92f427a18d70bc9634a6e7d1b6a4d9
 DIST llvm-project-d5987fe324fcaedcea12914d6f9644cc5329f364.tar.gz 172157522 
BLAKE2B 
3c201380e727f7db53d61ff7c411b85aef8b17f086bca0cf3e758284a92a9ced298584e6f92ac6a35f30231d59c916bb98d41a8939f9b1103996c9e09df32ec2
 SHA512 
dff559b1518bbf9c469a2f4624ba9e83d81df2f08223afc696fa7f3dc9fe1c0d4a17346db8946fb56806e12aa7cbddda8df05b032ffe29dafd8a66c630de0016
 DIST llvm-project-e99edb92356b5ba078b5bc4d5846770414586a1d.tar.gz 171822327 
BLAKE2B 
cdaa704c9f238f34751b92df92f8a767b1204f868dfd8a6f1eb3eeacaaf9c4b63c55a7c0534af124fddb65cf80263f72b79190696c8077e2990984a84a040f2a
 SHA512 
37f45a56d6086df60c9832b75da3b2d78b8ec0fe094f07d41695f0565e4de0c13e460b1fef495864f07300d41f5b32769f0862b0fa5d53c0db9a0ccec1a09072
+DIST llvm-project-fb792ebaf2114ad11d673cf891ae560e2e604711.tar.gz 174312496 
BLAKE2B 
dd7f30b911ef5049e9e2bff7b2768e31b48b1f4c7acaf159f535fe3deb5aa6630fdf7857c83fffcda1119a38a52101490d2b6cb41cb295bb7dd85cde0445b7ee
 SHA512 
bef15e7d82a2faf8be24f784d3d34ff9b21c8f17256879587ea5471011a32a1eb885e1b020da55aa096f2e0b5fe4bcf9fe8f0f5b5d34f5f386c48899c68fb7d1
 DIST llvmorg-13.0.1.tar.gz 147290251 BLAKE2B 
2a44b012a672501761d0c27c6b3a315b69bfef0cd13b078a7e7d2fccc4a9c8c0f2bee0f164c4271c9106b0a99cb06e8b64986f66253b613336719fb86b82541b
 SHA512 
9a8cb5d11964ba88b7624f19ec861fb28701f23956ea3c92f6ac644332d5f41fde97bd8933dd3ee70ed378058c252fa3a3887c8d1af90d219970c2b27691166f

diff --git a/dev-python/clang-python/clang-python-16.0.0_pre20221217.ebuild 
b/dev-python/clang-python/clang-python-16.0.0_pre20221217.ebuild
new file mode 100644
index 000000000000..9b34adc8ac6f
--- /dev/null
+++ b/dev-python/clang-python/clang-python-16.0.0_pre20221217.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/";
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+       >=sys-devel/clang-${PV}:*
+       !sys-devel/llvm:0[clang(-),python(-)]
+       !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+       ${DEPEND}
+       ${PYTHON_DEPS}
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+       test? (
+               sys-devel/clang:${LLVM_MAJOR}
+       )
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+       # tests rely on results from a specific clang version, so override
+       # the search path
+       local -x 
CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+       "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+       python_foreach_impl python_test
+}
+
+src_install() {
+       python_foreach_impl python_domodule clang
+}

Reply via email to